<template>
  <div class="LoginComponent">

    <b-form>
      <div class="mt-3 mx-3">
        <b-form-input
          id="email"
          v-model="user.email"
          type="email"
          placeholder="Adresse mail"
          required
        ></b-form-input>
      </div>

       <div class="mt-3 mx-3">
          <b-form-input
            id="password"
            v-model="user.password"
            type="password"
            placeholder="Mot de passe"
            required
          ></b-form-input>
        </div>

      <div class="row mx-2 mt-3">
        <div class="col-7"></div>
        <div class="col-5">
          <b-button @click="onSubmit" variant="secondary">Connexion</b-button>
        </div>
      </div>

    </b-form>

    
  
  </div>
</template>

<script lang="ts">
import router from '@/router';
import Vue from 'vue';
import { mapActions, mapGetters } from 'vuex';



export default Vue.extend({
  name: 'LoginComponent',
  props: {

  },

  computed: {
    ...mapGetters(["token"]),
  },

  data: () => ({
    user: {    
      email: "",
      password: "",
    },
  }),

  methods: {
    ...mapActions(["loginUser", "getRestaurant"]),
     async onSubmit() {
    
      await this.loginUser(this.user);

      if (this.$store.state.user.user.id) {
         if(!localStorage.restaurant){
          this.$store.dispatch('getRestaurant', this.$store.state.user.user.id)
          }
      }  
    
    },

  },




});
</script>


<style scoped>

</style>
